%global modulename read-package-json

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-read-package-json
Version:        2.0.13
Release:        2%{?dist}
Summary:        The thing npm uses to read package.json files with semantics and defaults and validation

License:        ISC
URL:            https://github.com/npm/read-package-json#readme
Source0:        https://registry.npmjs.org/read-package-json/-/read-package-json-2.0.13.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(glob) >= 7.1.1 with npmlib(glob) < 8.0.0))
BuildRequires:  ((npmlib(json-parse-better-errors) >= 1.0.1 with npmlib(json-parse-better-errors) < 2.0.0))
BuildRequires:  ((npmlib(normalize-package-data) >= 2.0.0 with npmlib(normalize-package-data) < 3.0.0))
BuildRequires:  ((npmlib(slash) >= 1.0.0 with npmlib(slash) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
The thing npm uses to read package.json files with semantics and defaults and validation

%package 2.0.13
Summary:        The thing npm uses to read package.json files with semantics and defaults and validation


%description 2.0.13
The thing npm uses to read package.json files with semantics and defaults and validation

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr read-json.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.0.13
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Thu Dec 6 2018 npm2srpm <dshea@redhat.com> - 2.0.13-2
- Package automatically generated by npm2srpm
